Subject: [PATCH v8 00/20] OMAP2+: UART: Runtime adaptation + cleanup

From: [email-masked] (Kevin Hilman)
Date: Wed, 14 Dec 2011 07:29:07 -0800

Govindraj <[email-masked]> writes:

> On Wed, Dec 14, 2011 at 12:56 AM, Kevin Hilman <[email-masked]> wrote:
>> Govindraj <[email-masked]> writes:
>>
>> [...]
>>
>>> I have re-based this patch series against LO master
>>> commit id: deee6d5359969a0ce4e2760cfd7b9f379bd5698a
>>>
>>> Same is available here [1]
>>>
>>> I have tested this patch series along with:
>>>
>>> 1.) Tero's V11 irq chaining series
>>> ? ? ?http://www.spinics.net/lists/linux-omap/msg61445.html
>>> ? ? (This patch series is used for uart wakeup handling using
>>> ? ? ? prcm_irq chaining)
>>>
>>> 2.) Rajendra's hwmod change
>>> ? ? ?http://www.spinics.net/lists/arm-kernel/msg148632.html
>>> ? ? ?(This patch handles init_no_idle flag setting
>>> ? ? ? without this patch there will be boot warning however
>>> ? ? ? all pm features will work after boot up.)
>>>
>>> 3.) Vishwa's io daisy chain changes.
>>> ? ? ?http://permalink.gmane.org/gmane.linux.ports.arm.omap/65500
>>> ? ? ?(tested with and without this patch series pm features works).
>>>
>>> Same combination of patches based on above commit id
>>> used for testing is available here [2].
>>
>> Please have a closer look at your branch.
>>
>> The second commit[1] commits the .rej file from a failed patch apply,
>> so obviously doesn't do what was intended.
>>
>
> Sorry my bad I have refreshed the uart runtime branch [1]
> & test branch [2].

Can you add another patch which fixes these compiler warnings:

/work/kernel/omap/pm/drivers/tty/serial/omap-serial.c: In function 'serial_omap_irq':
/work/kernel/omap/pm/drivers/tty/serial/omap-serial.c:228:29: warning: 'ch' may be used uninitialized in this function [-Wuninitialized]
/work/kernel/omap/pm/drivers/tty/serial/omap-serial.c:176:16: note: 'ch' was declared here
/work/kernel/omap/pm/drivers/tty/serial/omap-serial.c:228:29: warning: 'ch' may be used uninitialized in this function [-Wuninitialized]
/work/kernel/omap/pm/drivers/tty/serial/omap-serial.c:176:16: note: 'ch' was declared here

Kevin